# Get company

### Input

User needs to provide one of&#x20;

* `companyNumber`&#x20;
* `regon`

<table><thead><tr><th width="343">Attribute</th><th width="176">Type</th><th>Description</th></tr></thead><tbody><tr><td>regon</td><td>String</td><td>REGON number</td></tr><tr><td>companyNumber</td><td>String</td><td>Company number, Polish NIP</td></tr></tbody></table>

### Response Content

**Ceidg**

<table><thead><tr><th width="311">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="#soleproprietorship"><code>soleProprietorship</code></a></td><td><code>object</code></td><td>Sole proprietorship object</td></tr></tbody></table>

#### soleProprietorship

<table><thead><tr><th width="316">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The unique identifier of the sole proprietorship</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>The name of the sole proprietorship</td></tr><tr><td><code>registerDate</code></td><td><code>string</code></td><td>The date when the sole proprietorship was registered</td></tr><tr><td><a href="#soleproprietorship.registryaddress"><code>registryAddress</code></a></td><td><code>object</code></td><td>The address of the sole proprietorship as registered with the authorities</td></tr><tr><td><a href="#correspondenceaddress"><code>correspondenceAddress</code></a></td><td><code>object</code></td><td>The correspondence address of the sole proprietorship</td></tr><tr><td><a href="#owner"><code>owner</code></a></td><td><code>object</code></td><td>Information about the owner of the sole proprietorship</td></tr><tr><td><a href="#citizenship"><code>citizenship</code></a></td><td><code>array of objects</code></td><td>The citizenship(s) of the owner</td></tr><tr><td><a href="#activityclassifications"><code>activityClassifications</code></a></td><td><code>array of objects</code></td><td>The activity classifications of the sole proprietorship</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The current status of the sole proprietorship</td></tr></tbody></table>

#### registryAddress

| Attribute    | Type     | Description                               |
| ------------ | -------- | ----------------------------------------- |
| `street`     | `string` | The street address of the registry        |
| `city`       | `string` | The city where the registry is located    |
| `country`    | `string` | The country where the registry is located |
| `postalCode` | `string` | The postal code of the registry           |
| `terc`       | `string` | The TERC code of the registry             |
| `simc`       | `string` | The SIMC code of the registry             |
| `ulic`       | `string` | The ULIC code of the registry             |

#### correspondenceAddress

| Attribute    | Type     | Description                                     |
| ------------ | -------- | ----------------------------------------------- |
| `street`     | `string` | The street address of the correspondence        |
| `city`       | `string` | The city where the correspondence is located    |
| `country`    | `string` | The country where the correspondence is located |
| `postalCode` | `string` | The postal code of the correspondence           |
| `terc`       | `string` | The TERC code of the correspondence             |
| `simc`       | `string` | The SIMC code of the correspondence             |
| `ulic`       | `string` | The ULIC code of the correspondence             |

#### owner

| Attribute | Type     | Description                   |
| --------- | -------- | ----------------------------- |
| `name`    | `string` | The first name of the owner   |
| `surname` | `string` | The last name of the owner    |
| `nip`     | `string` | The NIP number of the owner   |
| `regon`   | `string` | The REGON number of the owner |

#### citizenship

| Attribute | Type     | Description                                             |
| --------- | -------- | ------------------------------------------------------- |
| `symbol`  | `string` | The two-letter symbol of the citizenship                |
| `country` | `string` | The name of the country associated with the citizenship |

#### activityClassifications

| Attribute | Type     | Description                              |
| --------- | -------- | ---------------------------------------- |
| `value`   | `string` | The value of the activity classification |
| `type`    | `string` | The type of the activity classification  |

#### Example response

```json
{
    "ceidg":{
        "soleProprietorship":[
            {
                "id":"b214d174-4c9c-4674-b32b-306e9921cebb",
                "name":"MERES TOMASZ LUBICZYK",
                "registerDate":"2015-06-01",
                "registryAddress":{
                    "street":"ul. Sosnowa 21",
                    "city":"Lesko",
                    "country":"PL",
                    "postalCode":"35-500",
                    "terc":"1827011",
                    "simc":"0853510"
                },
                "correspondenceAddress":{
                    "street":"ul. Sosnowa 21",
                    "city":"Lesko",
                    "country":"PL",
                    "postalCode":"35-500",
                    "terc":"1827011",
                    "simc":"0853510"
                },
                "owner":{
                    "name":"TOMASZ",
                    "surname":"LUBICZYK",
                    "nip":"5249569778",
                    "regon":"391400417"
                },
                "citizenship":[
                    {
                        "symbol":"PL",
                        "country":"Polska"
                    }
                ],
                "activityClassifications":[
                    {
                        "value":"6201Z",
                        "type":"PKD"
                    },
                    {
                        "value":"6202Z",
                        "type":"PKD"
                    }
                ],
                "status":"ACTIVE"
            }
        ]
    },
    "rawResponses":{
        "ceidg":{
            "firma":[
                {
                    "id":"B214D174-4C9C-4674-B32B-306E9921CEBB",
                    "nazwa":"MERES TOMASZ LUBICZYK",
                    "adresDzialalnosci":{
                        "ulica":"ul. Sosnowa",
                        "budynek":"21",
                        "miasto":"Lesko",
                        "wojewodztwo":"PODKARPACKIE",
                        "powiat":"leski",
                        "gmina":"Lesko",
                        "kraj":"PL",
                        "kod":"35-500",
                        "terc":"1827011",
                        "simc":"0853510",
                        "ulic":"10598"
                    },
                    "adresKorespondencyjny":{
                        "ulica":"ul. Sosnowa",
                        "budynek":"21",
                        "miasto":"Lesko",
                        "wojewodztwo":"PODKARPACKIE",
                        "powiat":"leski",
                        "gmina":"Lesko",
                        "kraj":"PL",
                        "kod":"35-500",
                        "terc":"1827011",
                        "simc":"0853510",
                        "ulic":"10598"
                    },
                    "wlasciciel":{
                        "imie":"TOMASZ",
                        "nazwisko":"LUBICZYK",
                        "nip":"5249569778",
                        "regon":"391400417"
                    },
                    "obywatelstwa":[
                        {
                            "symbol":"PL",
                            "kraj":"Polska"
                        }
                    ],
                    "pkd":[
                        "6201Z",
                        "6202Z"
                    ],
                    "pkdGlowny":"6201Z",
                    "dataRozpoczecia":"2015-06-01",
                    "dataWznowienia":"2018-01-23",
                    "status":"AKTYWNY",
                    "numerStatusu":1,
                    "email":"t.lubiczykmeres@gmail.com",
                    "wspolnoscMajatkowa":0,
                    "link":"https://dane.biznes.gov.pl/api/ceidg/v2/firma/B214D174-4C9C-4674-B32B-306E9921CEBB"
                }
            ],
            "properties":{
                "dc:title":"firma",
                "dc:description":"Zwraca szczegółowe dane firmy",
                "dc:language":"pl-PL",
                "schema:provider":"Ministerstwo Rozwoju i Technologii",
                "schema:datePublished":"2022-05-19 05:06:54"
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/ceidg/get-company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
